当前位置: 动力学知识库 > 问答 > 编程问答 >

Error while executing gem...Permission Denied

问题描述:

I am attempting to install taps from my Heroku app folder. When I type "gem install taps," I get the following error:

ERROR: While executing gem ... (Errno::EACCES)

Permission denied - /Users/jacob/.rvm/gems/ruby-1.9.3-p194/gems/taps-0.3.24/bin/taps

I attempted to remove the taps-0.3.24 folder using rm -r and got this question: override rwxr-xr-x root/staff for /Users/jacob/.rvm/gems/ruby-1.9.3-p194/gems/taps-0.3.24//bin/schema?

Upon typing yes, it tells me permission denied. Here is the whole exchange:

Jacob-MacBook-Pro:furious-ocean-6122012 jacob$ rm -r /Users/jacob/.rvm/gems/ruby-1.9.3-p194/gems/taps-0.3.24/

override rwxr-xr-x root/staff for /Users/jacob/.rvm/gems/ruby-1.9.3-p194/gems/taps-0.3.24//bin/schema? yes

rm: /Users/jacob/.rvm/gems/ruby-1.9.3-p194/gems/taps-0.3.24//bin/schema: Permission denied

override rw-r--r-- root/staff for /Users/jacob/.rvm/gems/ruby-1.9.3-p194/gems/taps-0.3.24//bin/schema.cmd?

Any thoughts on how to resolve this issue would be appreciated. Thanks!

网友答案:

I just ran into this when trying to get the Heroku Toolbelt running. I was able to remove the old version with sudo rm -rf /path/to/gems/taps-x.x.x and then re-install (without sudo).

网友答案:

You should add "sudo" before "gem...."

分享给朋友:
您可能感兴趣的文章:
随机阅读: